| Home | Libraries | People | FAQ | More

##### touches (one geometry)

Checks if a geometry has at least one touching point (self-tangency)

###### Synopsis

    template<typename Geometry>
    bool touches(Geometry const & geometry)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry const & | Any type fulfilling a Geometry Concept | geometry | A model of the specified concept

###### Returns

Returns true if the geometry is self-touching

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/touches.hpp>`

###### Conformance

The function touches implements function Touches from the OGC Simple Feature Specification.

The version with one parameter is additional and not described in the OGC standard

| Note
Implemented for Point/Linestring/MultiLinestring/Polygon/MultiPolygon.